Roundup Tracker - Issues

Issue 2551013

classification
Title: Reversed sorting in hyperdb property wrapper object's sorted() method
Type: rfe Severity: minor
Components: Database Versions: devel, 1.6
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: davidsowder, rouilj
Priority: Keywords: patch

Created on 2018-11-06 17:58 by davidsowder, last changed 2019-10-07 20:34 by rouilj.

Files
File name Uploaded Description Edit Remove
templating.py.sorted_reverse.diff davidsowder, 2018-11-06 17:58
Messages
msg6296 Author: [hidden] (davidsowder) Date: 2018-11-06 17:58
Looking at the hyperdb project object wrapper methods, as described at
http://roundup.sourceforge.net/docs/customizing.html#hyperdb-property-wrapper,
there is a reverse() method and a sorted() method, but this
Roundup-hacking newbie didn't see a way to successfully combine both on
one object (if there is one, please enlighten me).

I have thus made a trivial change to my 1.6 installation to the sorted()
method to optionally return the items in reversed order.  I've attached
a diff of my changes, ported to the current development code, but
without testing.
msg6713 Author: [hidden] (rouilj) Date: 2019-10-07 20:34
Hi David:

I have applied the patch on rev5903:c3728772c594 and added to the 
documentation example so people know there is a new reverse optional 
argument.

Thanks for the patch.

I have to agree with you, I an not sure how the reverse() method is 
supposed to work.

-- rouilj
History
Date User Action Args
2019-10-07 20:34:26rouiljsetstatus: new -> fixed
resolution: fixed
messages: + msg6713
nosy: + rouilj
2019-03-24 02:26:50rouiljsetcomponents: + Database, - Web interface, Interface
2018-11-06 17:58:12davidsowdercreate